<template name="Resupplies">
  <div class="resupply-manager">
    <h1>Resupplies</h1>
    {{#if resupply}}
      {{> ArticlesResupply}}
    {{else}}
      <p><button type="button" data-action="new-resupply">Start new resupply</button></p>
    {{/if}}
  </div>
</template>

<template name="ArticlesDisplayResupply">
  <p>{{ name }}</p>
</template>

<template name="ArticlesResupply">
  <div>
    <p>{{ resupplyStartedDate }}</p>
    {{> ArticlesSearch resupply="true"}}
    {{#if resupply.articles}}
      <br>
      <table>
        <tr>
          <th>Article Name</th>
          <th>Resupply quantity</th>
          <th><i class="fa fa-trash"></i></th>
        </tr>

      {{#each resupply.articles}}
        {{> InventoryResupplyArticleRow}}
      {{/each}}
      </table>
    {{/if}}
    <br>
    <p><button type="button" data-action="finish-resupply">Finish resupply</button></p>
  </div>
</template>

<template name="InventoryResupplyArticleRow">
    <tr>
      <td>{{ name }}</td>
      <td><input type="number" min="0" data-action="update-resupply-quantity" value="{{quantity}}"></td>
      <td><button type="button" name="button" data-action="remove-article">&times;</button> </td>
    </tr>
</template>
